Package org.globus.gsi

# Enum GSIConstants.DelegationType

java.lang.Object
java.lang.Enum<GSIConstants.DelegationType>
org.globus.gsi.GSIConstants.DelegationType

All Implemented Interfaces:
  `Serializable`, `Comparable<GSIConstants.DelegationType>`, `java.lang.constant.Constable`

Enclosing interface:
  `GSIConstants`

public static enum GSIConstants.DelegationType extends Enum<GSIConstants.DelegationType>
Enumeration of Certificate types used by the Globus security provider.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FULL`
`LIMITED`
`NONE`

## Method Summary

Modifier and Type
Method
Description
`static GSIConstants.DelegationType`
`get(int code)`
`int`
`getCode()`
`static GSIConstants.DelegationType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static GSIConstants.DelegationType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final GSIConstants.DelegationType NONE

### LIMITED

public static final GSIConstants.DelegationType LIMITED

### FULL

public static final GSIConstants.DelegationType FULL

## Method Details

### values

public static GSIConstants.DelegationType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static GSIConstants.DelegationType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getCode

public int getCode()

### get

public static GSIConstants.DelegationType get(int code)